/*
  arabic-iso.c.  Produce a table of the ISO 8859-6 Latin/Arabic alphabet.
  F. da Cruz, Columbia University, 1993.
*/
char *name[] = {
    "No-break space",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "Currency sign",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "ARABIC COMMA",
    "SOFT HYPHEN",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "ARABIC SEMICOLON",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "ARABIC QUESTION MARK",
    "UNUSED",
    "HAMZA",
    "MADDA ON ALEF",
    "HAMZA ON ALEF",
    "HAMZA ON WAW",
    "HAMZA UNDER ALEF",
    "HAMZA ON YEH",
    "ALEF",
    "BEH",
    "TEH MARBUTA",
    "TEH",
    "THEH",
    "JEEM",
    "HAH",
    "KHAH",
    "DAL",
    "THAL",
    "RA",
    "ZAIN",
    "SEEN",
    "SHEEN",
    "SAD",
    "DAD",
    "TAH",
    "ZAH",
    "AIN",
    "GHAIN",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "TATWEEL",
    "FEH",
    "QAF",
    "KAF",
    "LAM",
    "MEEM",
    "NOON",
    "HEH",
    "WAW",
    "ALEF MAKSURA",
    "YEH",
    "FATHATAN",
    "DAMMATAN",
    "KASRATAN",
    "FATHA",
    "DAMMA",
    "KASRA",
    "SHADDA",
    "SUKUN",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED",
    "UNUSED"
};

main() {
    int i, j;
    printf("ISO 8859-6 Latin/Arabic Alphabet\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 160; i < 256; i++) {
	j = i - 160;
	printf("[%c]  %3d  %02d/%02d  %3o  %2X  %s\n",
	       i, i, i/16, i%16, i, i, name[j]);
    }
}
